[arch-commits] CVS update of extra/system/v86d (PKGBUILD v86d v86d_hook)

Thomas Baechler thomas at archlinux.org
Fri Feb 29 18:47:37 UTC 2008


    Date: Friday, February 29, 2008 @ 19:47:37
  Author: thomas
    Path: /home/cvs-extra/extra/system/v86d

   Added: PKGBUILD (1.1) v86d (1.1) v86d_hook (1.1)

upgpkg: v86d 0.1.3-1
    initial arch v86d release


-----------+
 PKGBUILD  |   36 ++++++++++++++++++++++++++++++++++++
 v86d      |   11 +++++++++++
 v86d_hook |    4 ++++
 3 files changed, 51 insertions(+)


Index: extra/system/v86d/PKGBUILD
diff -u /dev/null extra/system/v86d/PKGBUILD:1.1
--- /dev/null	Fri Feb 29 19:47:37 2008
+++ extra/system/v86d/PKGBUILD	Fri Feb 29 19:47:36 2008
@@ -0,0 +1,36 @@
+# $Id: PKGBUILD,v 1.1 2008/02/29 18:47:36 thomas Exp $
+# Maintainer: Thomas Baechler <thomas at archlinux.org>
+pkgname="v86d"
+pkgver="0.1.3"
+pkgrel="1"
+pkgdesc="userspace helper for uvesafb that runs x86 code in an emulated environment"
+url="http://dev.gentoo.org/~spock/projects/uvesafb/"
+license=('GPL2')
+arch=("i686" "x86_64")
+makedepends=('kernel26>=2.6.24' 'kernel26<2.6.25')
+depends=('glibc' 'klibc>=1.5-4')
+_kernver="2.6.24-ARCH"
+source=(http://dev.gentoo.org/~spock/projects/uvesafb/archive/v86d-$pkgver.tar.bz2
+        v86d v86d_hook)
+md5sums=('1c26f40af343bcc465f5832e2c9548d6'
+         'b026b6289024a217072038268d68f5ad'
+         '813958b8f6c75a7063e4858f31509694')
+options=(!makeflags)
+
+build() {
+  cd $startdir/src/v86d-$pkgver
+
+  ./configure --with-klibc
+  make KDIR=/lib/modules/${_kernver}/build || return 1
+  make DESTDIR=$startdir/pkg install || return 1
+  mv $startdir/pkg/sbin/v86d $startdir/pkg/sbin/v86d_klibc
+
+  make clean
+
+  ./configure --default
+  make KDIR=/lib/modules/${_kernver}/build || return 1
+  make DESTDIR=$startdir/pkg install || return 1
+
+  install -D -m644 $startdir/src/v86d $startdir/pkg/lib/initcpio/install/v86d || return 1
+  install -D -m644 $startdir/src/v86d_hook $startdir/pkg/lib/initcpio/hooks/v86d || return 1
+}
Index: extra/system/v86d/v86d
diff -u /dev/null extra/system/v86d/v86d:1.1
--- /dev/null	Fri Feb 29 19:47:37 2008
+++ extra/system/v86d/v86d	Fri Feb 29 19:47:37 2008
@@ -0,0 +1,11 @@
+install() {
+    add_binary "/sbin/v86d_klibc" "/sbin/v86d"
+    MODULES="uvesafb"
+    SCRIPT="v86d"
+}
+
+help() {
+    echo "This hook sets up v86d, the userspace helper for uvesafb."
+}
+
+# vim: set ft=sh ts=4 sw=4 expandtab:
Index: extra/system/v86d/v86d_hook
diff -u /dev/null extra/system/v86d/v86d_hook:1.1
--- /dev/null	Fri Feb 29 19:47:37 2008
+++ extra/system/v86d/v86d_hook	Fri Feb 29 19:47:37 2008
@@ -0,0 +1,4 @@
+run_hook()
+{
+  /sbin/modprobe uvesafb
+}
\ No newline at end of file




More information about the arch-commits mailing list